package com.studentcrudoperation.Service;

import java.util.List;

import com.studentcrudoperation.Model.Student;

public interface StudentService {

    //Get All Students
    public List<Student> getAllStudents();

    // Students get by id
    public Student getStudentByID(int id);

    // Add student records
    public Student addStudent(Student st);

    //Delete by id

    public void deleteStudentById(int ssid);

    // Update records
    public void updateStudent(Student student, int studentId);

    public Student save(Student student);

}