package com.studentcrud.service;

import java.util.List;
import com.studentcrud.model.Student;

public interface StudentService {

	//Get All Students
	public List<Student> getAllStudents();

		// Students get by id
		public Student getStudentByID(int id);
		
		// Add student records
		public Student addStudent(Student st);
		
		//Delete by id 
		
		public void deleteStudentById(int sid);
		
		// Update records
		public void updateStudent(Student student, int studentId);
		

		public Student save(Student student);
		
}
